import request from '@/utils/request'

export function prescriptiontemplate(params,data) {
  return request({
    url: '/api/his/addstemplate',
    method: 'post',
    data:data,
    params:params,
  })
}
export function replacesavedrug(params,data) {
  return request({
    url: '/api/his/replacesavedrug',
    method: 'post',
    data:data,
    params:params,
  })
}
export function replacesaveproject(params,data) {
  return request({
    url: '/api/his/replacesaveproject',
    method: 'post',
    data:data,
    params:params,
  })
}

export function getdialysismodename(query) {
  return request({
    url: '/api/his/getdialysismodename',
    method: 'get',
    params: query
  })
}

export function getdrugsname(query) {
  return request({
    url: '/api/his/getdrugsname',
    method: 'get',
    params: query
  })
}

export function getmodeconfigs(query) {
  return request({
    url: '/api/his/getmodeconfigs',
    method: 'get',
    params: query
  })
}

//根据id获取药品耗材项目基本信息
export function getdrugsinformation(query) {
  return request({
    url: '/api/his/getdrugsinformation',
    method: 'get',
    params: query
  })
}
//替换——获取患者名字
export function replacepeoplename(query) {
  return request({
    url: '/api/his/replacepeoplename',
    method: 'get',
    params: query
  })
}
//替换——配置
export function replaceconfig(query) {
  return request({
    url: '/api/his/replaceconfig',
    method: 'get',
    params: query
  })
}
//批量删除——药品
export function deletedrugsbatch(query) {
  return request({
    url: '/api/his/deletedrugsbatch',
    method: 'get',
    params: query
  })
}
//批量删除——项目
export function batchdeleteitems(query) {
  return request({
    url: '/api/his/batchdeleteitems',
    method: 'get',
    params: query
  })
}
//根据患者id、透析模式获取处方模板信息
export function ptemplateinformation(query) {
  return request({
    url: '/api/his/ptemplateinformation',
    method: 'get',
    params: query
  })
}
//删除一条记录
export function deleteone(query) {
  return request({
    url: '/api/his/deleteone',
    method: 'get',
    params: query
  })
}
